## ruby-fcgi 0.9.2.1

=== ext/fcgi/Makefile ===
# Use ruby extconf.rb to generate makefile

=== debian/changelog ===
ruby-fcgi (0.9.2.1-1) unstable; urgency=low

  * Team upload.
  * Moved package to Ruby PKG Extras Team
  * New Upstream Version
  * changed package to gem2deb helper (Closes: #731689)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 21 Dec 2013 17:09:33 +0100

libfcgi-ruby (0.8.8-1) unstable; urgency=medium

  * New upstream release
  * Ruby 1.9 -> 1.9.1 transition (Closes: #565843)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 10 Feb 2010 04:30:11 +0900

libfcgi-ruby (0.8.7-4) unstable; urgency=medium

  * build for libfcgi long double 128bit transition.
  * add ruby 1.9 binary

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 01 Sep 2007 11:55:34 +0900

libfcgi-ruby (0.8.7-3) unstable; urgency=low

  * rebuild for new libfcgi package.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 21 Aug 2006 19:38:09 +0900

libfcgi-ruby (0.8.7-2) unstable; urgency=low

  * Fix build config of sodir. Now, fcgi.so is in proper dir.

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat,  1 Jul 2006 19:41:05 +0900

libfcgi-ruby (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Stop building 1.6 module (closes: #366568)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat,  1 Jul 2006 18:17:00 +0900

libfcgi-ruby (0.8.6.99+0.8.7-preview1-1) unstable; urgency=low

  * New upstream release (preview)

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 26 Jun 2006 23:02:34 +0900

libfcgi-ruby (0.8.6-1) unstable; urgency=low

  * New upstream release
  * fix 16K/request memory leak (Closes: #301658)
  * fix link error; symbol errno (Closes: #302483)

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  4 Apr 2005 02:08:10 +0900

libfcgi-ruby (0.8.5-2) unstable; urgency=low

  * Simple fix in CHECK_STREAM_ERROR for Potential DoS (Closes: #292511)

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue,  1 Feb 2005 10:36:29 +0900

libfcgi-ruby (0.8.5-1) unstable; urgency=high

  * New upstream release
  * cleanup; build script (Closes: #221535)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 13 Oct 2004 10:53:00 +0900

libfcgi-ruby (0.8.4-3) unstable; urgency=low

  * install docs in both version.
  * Upload; official debian archive. again. (Closes: #203591)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 21 Sep 2003 05:00:10 +0900

libfcgi-ruby (0.8.4-2) unstable; urgency=low

  * Upload; official debian archive. (Closes: #203591)
  * Package has been splitted for ruby 1.6 & 1.8.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  8 Sep 2003 14:38:00 +0900

libfcgi-ruby (0.8.4-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  8 Sep 2003 14:10:29 +0900

libfcgi-ruby (0.8.3-1) unstable; urgency=low

  * Initial Release.

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue,  8 Jul 2003 15:47:13 +0900

=== debian/control ===
Source: ruby-fcgi
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Tatsuki Sugiura <sugi@nemui.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.6.1~), libfcgi-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-fcgi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-fcgi.git;a=summary
Homepage: http://github.com/alphallc/ruby-fcgi-ng
XS-Ruby-Versions: all

Package: ruby-fcgi
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Replaces: libfcgi-ruby1.8 (<< 0.9.2.1-1~), libfcgi-ruby1.9.1 (<< 0.9.2.1-1~)
Breaks: libfcgi-ruby1.8 (<< 0.9.2.1-1~), libfcgi-ruby1.9.1 (<< 0.9.2.1-1~)
Provides: libfcgi-ruby1.8, libfcgi-ruby1.9.1
Description: FastCGI library for Ruby
 FastCGI is a language independent, scalable, open extension to CGI that
 provides high performance without the limitations of server specific APIs.
 For more information, see http://www.fastcgi.com/.
 .
 This merges matz's C version(fcgi.so) & Eli's pure ruby version(fastcgi.rb)

# Transitional packages
Package: libfcgi-ruby1.8
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-fcgi
Description: Transitional package for ruby-fcgi / libfcgi-ruby1.8
 This is a transitional package for libfcgi-ruby1.8 to ease upgrades
 to the ruby-fcgi package. It can safely be removed.

Package: libfcgi-ruby1.9.1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-fcgi
Description: Transitional package for ruby-fcgi / libfcgi-ruby1.9.1
 This is a transitional package for libfcgi-ruby1.9.1 to ease upgrades
 to the ruby-fcgi package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.9.1 ruby2.0 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_install:
	if grep '# Use ruby extconf.rb to generate makefile' ext/fcgi/Makefile; then mv ext/fcgi/Makefile ext/fcgi/Makefile.dummy; fi
	dh_auto_install -O--buildsystem=ruby

override_dh_auto_clean:
	# restore included dummy makefile
	if grep '# Use ruby extconf.rb to generate makefile' ext/fcgi/Makefile; then mv ext/fcgi/Makefile ext/fcgi/Makefile.dummy; fi
	dh_auto_clean -O--buildsystem=ruby
	if test -f ext/fcgi/Makefile.dummy; then mv ext/fcgi/Makefile.dummy ext/fcgi/Makefile; fi

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/fcgi .*/fcgi-(.*).tar.gz

## ruby-fcgi 0.9.2.2

=== debian/changelog ===
ruby-fcgi (0.9.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.7.0.
  * d/control: runtime depends on  instead of the ruby interpreter.
  * Add myself to Uploaders.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 25 Jul 2024 04:41:23 -0300

ruby-fcgi (0.9.2.1-3) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Jul 2022 00:13:12 +0100

ruby-fcgi (0.9.2.1-2) unstable; urgency=medium

  * Team upload.
  * Update packaging using dh-make-ruby -w and drop transitional
    packages.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 29 Feb 2016 19:31:00 +0100

=== debian/control ===
Source: ruby-fcgi
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Kanashiro <kanashiro@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               libfcgi-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fcgi.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fcgi
Homepage: https://github.com/alphallc/ruby-fcgi-ng
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-fcgi
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${ruby:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: FastCGI library for Ruby
 FastCGI is a language independent, scalable, open extension to CGI that
 provides high performance without the limitations of server specific APIs.
 For more information, see http://www.fastcgi.com/.
 .
 This merges matz's C version(fcgi.so) & Eli's pure ruby version(fastcgi.rb)

=== debian/watch ===
version=4
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/fcgi .*/fcgi-(.*).tar.gz
